> ## Documentation Index
> Fetch the complete documentation index at: https://docs.capy.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Send queued message now



## OpenAPI

````yaml /openapi.json post /api/v1/threads/{threadId}/messages/{eventId}/send-now
openapi: 3.1.0
info:
  title: Capy API
  version: 1.0.0
  description: Programmatic access to Capy's agent platform.
servers:
  - url: https://api.capy.ai
security:
  - bearerAuth: []
tags:
  - name: threads
  - name: tasks
  - name: messages
  - name: reviews
  - name: usage
paths:
  /api/v1/threads/{threadId}/messages/{eventId}/send-now:
    post:
      tags:
        - messages
      summary: Send queued message now
      operationId: messages.sendNow
      parameters:
        - name: threadId
          in: path
          schema:
            type: string
          required: true
        - name: eventId
          in: path
          schema:
            type: string
            allOf:
              - minLength: 26
              - maxLength: 26
          required: true
      responses:
        '200':
          description: SendNowOutcome
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SendNowOutcome'
        '401':
          description: capy/Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/capy_Unauthorized'
        '404':
          description: capy/ThreadNotFound
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/capy_ThreadNotFound'
      security:
        - bearerAuth: []
components:
  schemas:
    SendNowOutcome:
      type: object
      properties:
        outcome:
          type: string
          enum:
            - sent
            - tooLate
        id:
          type: string
          allOf:
            - minLength: 26
            - maxLength: 26
      required:
        - outcome
      additionalProperties: false
    capy_Unauthorized:
      type: object
      properties:
        _tag:
          type: string
          enum:
            - capy/Unauthorized
      required:
        - _tag
      additionalProperties: false
    capy_ThreadNotFound:
      type: object
      properties:
        _tag:
          type: string
          enum:
            - capy/ThreadNotFound
        threadId:
          type: string
      required:
        - _tag
        - threadId
      additionalProperties: false
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: Capy API key
      description: An API key created in Capy under Settings → API.

````